/*++

Copyright (c) 2009
Lysann Kessler, Stephanie Platz, Thomas Klingbeil, Philipp Tessenow, Frank Schlegel;
Michael Haupt, Michael Perscheid, Robert Hirschfeld;
Software Architecture Group, Hasso-Plattner-Institut, University of Potsdam, Germany

This software is published under MIT license.
It uses phidget library by Phidgets Inc. (http://phidgets.com).
See ../../../../license.pdf for more information.

--*/

#ifndef _PHIDGETDEBUG_H_
#define _PHIDGETDEBUG_H_


// standard log file name
#define PHID_LOGFILE			"PhidgetPlugin.log"
#define PHID_BASIC_LOG_LEVEL	SLOG_LEVEL_VERBOSE

#include "PhidgetPlugin.h"
#include <simpleLog.h>

#ifdef PHID_DBG

#undef PHID_DBG
#define PHID_DBG				SLOG_TRUE
#define IF_DBG(x)				(x)

#else // !PHID_DBG

#define PHID_DBG				SLOG_FALSE
#define IF_DBG(x)

#endif // PHID_DBG

// Functions
char* phidgetPlugin_GetPhidgetDescription(Phidget* pPhidget);


#endif //_PHIDGETDEBUG_H_
