/*++

Copyright (c) 2009
Lysann Kessler, Stephanie Platz, Thomas Klingbeil, Philipp Tessenow, Frank Schlegel;
Michael Haupt, Michael Perscheid, Robert Hirschfeld;
Software Architecture Group, Hasso-Plattner-Institut, University of Potsdam, Germany

This software is published under MIT license.
It uses phidget library by Phidgets Inc. (http://phidgets.com).
See ../../../../license.pdf for more information.

--*/

#ifndef _PHIDGET_PLUGIN_TYPES_H_
#define _PHIDGET_PLUGIN_TYPES_H_

// ID type for a Phidget object. 
typedef time_t PhidgetId;

// boolean type
#ifndef BOOL
#define BOOL	int
#endif
#ifndef TRUE
#define TRUE	1
#endif
#ifndef FALSE
#define FALSE	0
#endif

// double infinity returned by different phidget library functions. 
// If this value is returned we most likely should instead return
// another standard value.
#define DOUBLE_INFINITY 1.0E300

#endif // _PHIDGET_PLUGIN_TYPES_H_
