SQUEAKDIR=../../../hpi_swa

plugin:
	$(MAKE) -C ./plugins/PhidgetPlugin

debug: plugin_d

plugin_d:
	$(MAKE) -C ./plugins/PhidgetPlugin DEBUG=1

clean:
	$(MAKE) -C ./plugins/PhidgetPlugin clean

copy:
	cp ./build/obj/PhidgetPlugin/PhidgetPlugin.dll $(SQUEAKDIR)/PhidgetPlugin.dll

copy_to_repo:
	cp ./build/obj/PhidgetPlugin/PhidgetPlugin.dll ../../PhidgetPlugin.dll

start:
	$(SQUEAKDIR)/Squeak.exe $(SQUEAKDIR)/hpi-swa_v4.image


build: plugin copy copy_to_repo

build_d: plugin_d copy


rebuild: clean plugin copy copy_to_repo

rebuild_d: clean plugin_d copy