/*++

Copyright (c) 2009
Lysann Kessler, Stephanie Platz, Thomas Klingbeil, Philipp Tessenow, Frank Schlegel;
Michael Haupt, Michael Perscheid, Robert Hirschfeld;
Software Architecture Group, Hasso-Plattner-Institut, University of Potsdam, Germany

This software is published under MIT license.
It uses phidget library by Phidgets Inc. (http://phidgets.com).
See ../../../../license.pdf for more information.

--*/

#ifndef _PHIDGETCOMPONENT_AXIS_H_
#define _PHIDGETCOMPONENT_AXIS_H_

#include "PhidgetPlugin.h"

// methods
int phidgetCompAxis_GetCount(PhidgetId id);
double phidgetCompAxis_GetAcceleration(PhidgetId id, int iIndex);
double phidgetCompAxis_GetAccelerationMin(PhidgetId id, int iIndex);
double phidgetCompAxis_GetAccelerationMax(PhidgetId id, int iIndex);
BOOL phidgetCompAxis_SetSemaphoreIndex_AccelerationChange(PhidgetId id, int iSemaphoreIndex);

#endif // _PHIDGETCOMPONENT_AXIS_H_
