/*++

Copyright (c) 2009
Lysann Kessler, Stephanie Platz, Thomas Klingbeil, Philipp Tessenow, Frank Schlegel;
Michael Haupt, Michael Perscheid, Robert Hirschfeld;
Software Architecture Group, Hasso-Plattner-Institut, University of Potsdam, Germany

This software is published under MIT license.
It uses phidget library by Phidgets Inc. (http://phidgets.com).
See ../../../../license.pdf for more information.

--*/

#ifndef _PHIDGETCOMPONENT_SERVOMOTOR_H_
#define _PHIDGETCOMPONENT_SERVOMOTOR_H_

#include "PhidgetPlugin.h"

// methods
int phidgetCompServoMotor_GetCount(PhidgetId id);
double phidgetCompServoMotor_GetPosition(PhidgetId id, int iIndex);
BOOL phidgetCompServoMotor_SetPosition(PhidgetId id, int iIndex, double fPosition);
double phidgetCompServoMotor_GetPositionMin(PhidgetId id, int iIndex);
double phidgetCompServoMotor_GetPositionMax(PhidgetId id, int iIndex);
BOOL phidgetCompServoMotor_IsEngaged(PhidgetId id, int iIndex);
BOOL phidgetCompServoMotor_SetEngaged(PhidgetId id, int iIndex, BOOL bState);
BOOL phidgetCompServoMotor_SetSemaphoreIndex_PositionChange(PhidgetId id, int iSemaphoreIndex);

#endif // _PHIDGETCOMPONENT_SERVOMOTOR_H_
