/*++

Copyright (c) 2009
Lysann Kessler, Stephanie Platz, Thomas Klingbeil, Philipp Tessenow, Frank Schlegel;
Michael Haupt, Michael Perscheid, Robert Hirschfeld;
Software Architecture Group, Hasso-Plattner-Institut, University of Potsdam, Germany

This software is published under MIT license.
It uses phidget library by Phidgets Inc. (http://phidgets.com).
See ../../../../license.pdf for more information.

--*/

#ifndef _PHIDGETCOMPONENT_TEXTDISPLAY_H_
#define _PHIDGETCOMPONENT_TEXTDISPLAY_H_

#include "PhidgetPlugin.h"

// methods
int phidgetCompTextDisplay_RowCount(PhidgetId id);
int phidgetCompTextDisplay_ColumnCount(PhidgetId id);
BOOL phidgetCompTextLCD_DisplayString(PhidgetId id, int iRow, char* pcString, int iLength);
BOOL phidgetCompTextLCD_DisplayCharacter(PhidgetId id, int iRow, int iColumn, char cChar);

#endif // _PHIDGETCOMPONENT_TEXTDISPLAY_H_
